package com.ruoyi.sy.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.sy.domain.SyTestSelectMajor;

/**
 * 测评选专业Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestSelectMajorMapper 
{
    /**
     * 查询测评选专业
     * 
     * @param id 测评选专业ID
     * @return 测评选专业
     */
    public SyTestSelectMajor selectSyTestSelectMajorById(Long id);

    public List<SyTestSelectMajor> selectSyTestSelectMajorForRecommend(Map cond);


    /**
     * 查询测评选专业列表
     * 
     * @param syTestSelectMajor 测评选专业
     * @return 测评选专业集合
     */
    public List<SyTestSelectMajor> selectSyTestSelectMajorList(SyTestSelectMajor syTestSelectMajor);

    /**
     * 新增测评选专业
     * 
     * @param syTestSelectMajor 测评选专业
     * @return 结果
     */
    public int insertSyTestSelectMajor(SyTestSelectMajor syTestSelectMajor);

    /**
     * 修改测评选专业
     * 
     * @param syTestSelectMajor 测评选专业
     * @return 结果
     */
    public int updateSyTestSelectMajor(SyTestSelectMajor syTestSelectMajor);

    /**
     * 删除测评选专业
     * 
     * @param id 测评选专业ID
     * @return 结果
     */
    public int deleteSyTestSelectMajorById(Long id);

    /**
     * 批量删除测评选专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestSelectMajorByIds(Long[] ids);
}
